package com.hzya.frame.plugin.lets.util;

import cn.hutool.core.date.DateField;
import cn.hutool.core.date.DateUtil;
import com.hzya.frame.plugin.lets.queryvo.StartAndEndVo;
import org.springframework.stereotype.Component;

import java.util.Date;

/**
 * @Author：liuyang
 * @Package：com.hzya.frame.plugin.lets.util
 * @Project：kangarooDataCenterV3
 * @name：OffsetTimeTime
 * @Date：2024/8/19 16:27
 * @Filename：OffsetTimeTime
 */
@Component
public class OffsetTimeTime {
    /**
     * 实时执行，计算时间
     *
     * @author liuyang
     */
    public StartAndEndVo offsetTime() {
        StartAndEndVo startAndEndVo = new StartAndEndVo();
        Date currentDate = new Date();
        Date startTime = DateUtil.offset(currentDate, DateField.MINUTE, -10);
        Date endTime = DateUtil.offset(currentDate, DateField.MINUTE, -2);

        String startTimeStr = DateUtil.format(startTime, "yyyy-MM-dd HH:mm:ss");
        String endTimeStr = DateUtil.format(endTime, "yyyy-MM-dd HH:mm:ss");

        startAndEndVo.setStart_time(startTimeStr);
        startAndEndVo.setEnd_time(endTimeStr);

        return startAndEndVo;
    }
}
